From fa75f6573a37f4065f0ba16b1ef8a55e8b933af6 Mon Sep 17 00:00:00 2001
From: Peter Eisentraut <peter_e@gmx.net>
Date: Fri, 18 May 2018 19:07:53 -0400
Subject: [PATCH 1/5] Add test for system catalog TOAST tables

This records which system catalogs are supposed to have a TOAST table.
---
 src/test/regress/expected/misc_sanity.out | 22 ++++++++++++++++++++++
 src/test/regress/sql/misc_sanity.sql      | 10 ++++++++++
 2 files changed, 32 insertions(+)

diff --git a/src/test/regress/expected/misc_sanity.out b/src/test/regress/expected/misc_sanity.out
index 5aaae6c39f..a1ea485a15 100644
--- a/src/test/regress/expected/misc_sanity.out
+++ b/src/test/regress/expected/misc_sanity.out
@@ -76,3 +76,25 @@ NOTICE:  pg_database contains unpinned initdb-created object(s)
 NOTICE:  pg_extension contains unpinned initdb-created object(s)
 NOTICE:  pg_rewrite contains unpinned initdb-created object(s)
 NOTICE:  pg_tablespace contains unpinned initdb-created object(s)
+-- **************** general ****************
+-- check which system catalogs have toast tables
+SELECT relname
+FROM pg_class
+WHERE relnamespace = 'pg_catalog'::regnamespace AND reltoastrelid <> 0
+ORDER BY 1;
+      relname       
+--------------------
+ pg_attrdef
+ pg_constraint
+ pg_db_role_setting
+ pg_description
+ pg_proc
+ pg_rewrite
+ pg_seclabel
+ pg_shdescription
+ pg_shseclabel
+ pg_statistic
+ pg_statistic_ext
+ pg_trigger
+(12 rows)
+
diff --git a/src/test/regress/sql/misc_sanity.sql b/src/test/regress/sql/misc_sanity.sql
index b921117fa5..b9adcbe4e0 100644
--- a/src/test/regress/sql/misc_sanity.sql
+++ b/src/test/regress/sql/misc_sanity.sql
@@ -72,3 +72,13 @@
   end if;
 end loop;
 end$$;
+
+
+-- **************** general ****************
+
+-- check which system catalogs have toast tables
+
+SELECT relname
+FROM pg_class
+WHERE relnamespace = 'pg_catalog'::regnamespace AND reltoastrelid <> 0
+ORDER BY 1;

base-commit: 2e61c50785a0dca6ed30a1a5522457b18bbb5498
-- 
2.18.0

